Subject: Re: linux-next: manual merge of the usb tree with the qcom tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 18 Mar 2022 18:37:17 +1100

Hi all,

On Thu, 10 Feb 2022 09:02:18 +0100 Greg KH <[email-masked]> wrote:
>
> On Thu, Feb 10, 2022 at 02:11:00PM +1100, Stephen Rothwell wrote:
> > 
> > Today's linux-next merge of the usb tree got a conflict in:
> > 
> >   arch/arm64/boot/dts/qcom/ipq6018.dtsi
> > 
> > between commit:
> > 
> >   d1c10ab1494f ("arm64: dts: qcom: ipq6018: fix usb reference period")
> > 
> > from the qcom tree and commit:
> > 
> >   5726079cd486 ("arm64: dts: ipq6018: Use reference clock to set dwc3 period")
> > 
> > from the usb tree.
> > 
> > I fixed it up (I just use the latter) and can carry the fix as
> > necessary. This is now fixed as far as linux-next is concerned, but any
> > non trivial conflicts should be mentioned to your upstream maintainer
> > when your tree is submitted for merging.  You may also want to consider
> > cooperating with the maintainer of the conflicting tree to minimise any
> > particularly complex conflicts.
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell  
> 
> 
> That is fine, thanks.

This is now a conflict between the usb tree and the arm-soc tree.

-- 
Cheers,
Stephen Rothwell